# RPM specfile for gnome-user-docs module
# Generated Fri Mar  8 21:26:37 2002 GMT by Ximian build system
# $Id: bb_do,v 1.177 2002/03/05 23:03:00 jacob Exp $
# from $Id: ximian-build.conf,v 1.8 2001/10/15 16:39:08 dobey Exp $

%define nam	gnome-user-docs
%define ver	1.4.1.1
%define ximrev	2

Name:     	gnome-user-docs
Version: 	1.4.1.1
Release:	ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	GDL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
BuildArch:      noarch
URL:		http://www.gnome.org/
Source0:	gnome-user-docs-1.4.1.1.tar.gz
Summary:	 GNOME user-level documentation
Group:		Documentation
Provides:	ximian-gnome-user-docs = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Prereq:	scrollkeeper

%description
GNOME user-level documentation of "general" nature, i.e. covering
GNOME as a whole rather than specific applications. Examples of such
documentation include users guide, introduction to GNOME, glossary,
etc. 

%files
%defattr(-, root, root)
%doc AUTHORS INSTALL NEWS README
/usr/share/gnome/help/*
/usr/share/omf/gnome-user-docs


%post
/usr/bin/scrollkeeper-update

# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n gnome-user-docs-1.4.1.1
    ;;
all)
%setup  -q -n gnome-user-docs-1.4.1.1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; automake; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/share/man infodir=${DESTDIR}/usr/share/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Mar 8 2002 Ximian, Inc.

- Version: 1.4.1.1-ximian.2
- Summary: New build.
- New automated build.

